Join the waitlist
POST
/api/v1/waitlist
const url = 'https://api.ultimateteam.ai/api/v1/waitlist';const options = { method: 'POST', headers: {'X-API-Key': '<X-API-Key>', 'Content-Type': 'application/json'}, body: '{"company":"example","company_size":"example","email":"hello@example.com","name":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.ultimateteam.ai/api/v1/waitlist \ --header 'Content-Type: application/json' \ --header 'X-API-Key: <X-API-Key>' \ --data '{ "company": "example", "company_size": "example", "email": "hello@example.com", "name": "example" }'Submit a waitlist signup. No authentication required.
Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
WaitlistJoinRequest
Request body for the public waitlist signup endpoint.
Attributes: name: Full name of the person signing up. email: Email address for follow-up. company: Optional company name. company_size: Optional company size bucket.
object
Examplegenerated
{ "company": "example", "company_size": "example", "email": "hello@example.com", "name": "example"}Responses
Section titled “ Responses ”Successful Response
Media typeapplication/json
Response Join Waitlist Api V1 Waitlist Post
object
key
additional properties
any
Examplegenerated
{}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{ "detail": [ { "ctx": {}, "input": "example", "loc": [ "example" ], "msg": "example", "type": "example" } ]}